Bug 1606062 - quesoglc: FTBFS in Fedora rawhide
Summary: quesoglc: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quesoglc
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karol Trzcionka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29FTBFS F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-07-20 18:17 UTC by Mohan Boddu
Modified: 2018-09-11 12:42 UTC (History)
6 users (show)

Fixed In Version: quesoglc-0.7.2-24.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-11 12:42:52 UTC


Attachments (Terms of Use)
build.log (13.49 KB, text/plain)
2018-07-20 18:17 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 18:17 UTC, Mohan Boddu
no flags Details
state.log (627 bytes, text/plain)
2018-07-20 18:17 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 18:17:04 UTC
quesoglc failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28227485


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix quesoglc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
quesoglc will be orphaned. Before branching of Fedora 30,
quesoglc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 18:17:12 UTC
Created attachment 1467252 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 18:17:17 UTC
Created attachment 1467253 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 18:17:20 UTC
Created attachment 1467254 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:04:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2018-08-28 15:10:56 UTC
quesoglc-0.7.2-24.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-99a99e37d8

Comment 6 Fedora Blocker Bugs Application 2018-08-28 15:12:44 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user zbyszek using the blocker tracking app because:

 Outdated package is not installable, breaks upgrades.

Comment 7 Fedora Update System 2018-08-29 19:04:21 UTC
quesoglc-0.7.2-24.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-99a99e37d8

Comment 8 Fedora Update System 2018-08-29 23:13:09 UTC
quesoglc-0.7.2-24.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-99a99e37d8

Comment 9 Adam Williamson 2018-09-10 23:31:02 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html . Accepted (under the block vote at the end of the meeting) as a freeze exception issue as this can prevent upgrades working without the potentially-dangerous --allowerasing , and upgrades typically run without updates-testing so there is a benefit to pushing this stable for folks trying to upgrade at present.

Comment 10 Fedora Update System 2018-09-11 12:42:52 UTC
quesoglc-0.7.2-24.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.